import request from '@/utils/request'

// 查询种公羊档案列表
export function listBreedRamFile(query) {
    return request({
        url: '/ram_file/bas_ram_file/list',
        method: 'get',
        params: query
    })
}

// 查询种公羊档案详细
export function getBreedRamFile(id) {
    return request({
        url: '/ram_file/bas_ram_file/' + id,
        method: 'get'
    })
}

// 新增种公羊档案
export function addBreedRamFile(data) {
    return request({
        url: '/ram_file/bas_ram_file',
        method: 'post',
        data: data
    })
}

// 修改种公羊档案
export function updateBreedRamFile(data) {
    return request({
        url: '/ram_file/bas_ram_file',
        method: 'put',
        data: data
    })
}

// 删除种公羊档案
export function delBreedRamFile(id) {
    return request({
        url: '/ram_file/bas_ram_file/' + id,
        method: 'delete'
    })
}

// 导出种公羊档案
export function exportBreedRamFile(query) {
    return request({
        url: '/ram_file/bas_ram_file/export',
        method: 'get',
        params: query
    })
}